Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.cache
Interface Cacheable

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  ProxyTransfer

All Known Implementing Classes:
  ClientRoute, DefaultProxyTransfer, EntityCapabilities, FileTransfer, Group, PrivacyList, RemoteServerConfiguration, Roster, RosterItem, User

    public interface Cacheable

extends Serializable

Interface that defines the necessary behavior for objects added to a Cache. Objects only need to know how big they are (in bytes). That size should be considered to be a best estimate of how much memory the Object occupies and may be based on empirical trials or dynamic calculations.

While the accuracy of the size calculation is important, care should be taken to minimize the computation time so that cache operations are speedy.

Author:
  Jive Software
See Also:
  `Cache`

Method Summary
`int` | `getCachedSize()` Returns the approximate size of the Object in bytes.

Method Detail

### getCachedSize

    int getCachedSize()

  Returns the approximate size of the Object in bytes. The size should be considered to be a best estimate of how much memory the Object occupies and may be based on empirical trials or dynamic calculations.

  Returns:
    the size of the Object in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.